Summary: Netscape Navigator internet browser
Name: netscape-navigator
%define lname navigator
%define cname Navigator
Version: 4.72
%define srcver v472
Release: 1us
Group: X11/Applications/Networking
Copyright: Commercial
Url: http://www.netscape.com
Packager: Hao Li <hli@wag.caltech.edu>
# Download the source from http://home.netscape.com/download/.
# linux2.2 version is built with kernel 2.2 + glibc-2.1.
Source: %{lname}-%{srcver}-us.x86-unknown-linux2.2.tar.gz
Buildroot: /var/tmp/%{name}-root
ExclusiveArch: i386

%description
Netscape Navigator is the industry-leading web browser. It supports
the latest HTML standards, Java, and JavaScript.

WARNING: This is 128-bit strong encryption version on which U.S. 
government has export regulations. You must comply with those
regulations to use it.


%prep
%setup -c -q
mv    %{lname}*/* .
rmdir %{lname}*


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT/usr/lib/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/bin $DESTDIR

# Expand *.nif
for i in *.nif; do tar -C $DESTDIR -zxf $i; done

# Move over *.jar
mv *.jar $DESTDIR/java/classes

# Remove executable and plugin dynamically linked against Motif
rm -f $DESTDIR/*dynMotif*

# Generate registry for ASD to work, and also move vreg over
eval `egrep ^BLDVERS ns-install`
echo "%{cname},$BLDVERS,/usr/lib/%{name}" > /tmp/infile
./vreg $DESTDIR/registry /tmp/infile
rm -f /tmp/infile
mv vreg $DESTDIR

# Generate wrapper script, and link
cat > $RPM_BUILD_ROOT/usr/bin/%{name} <<EOF
#!/bin/sh
MOZILLA_HOME=/usr/lib/%{name}
export MOZILLA_HOME
exec \$MOZILLA_HOME/netscape "\$@"
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/%{name}
ln -s %{name} $RPM_BUILD_ROOT/usr/bin/%{lname}


%files
%defattr(-,root,root)
/usr/bin/%{lname}
/usr/bin/%{name}
/usr/lib/%{name}


%clean
rm -rf $RPM_BUILD_ROOT
